Bug 858541 - [abrt] cherrytree-0.26.2-1.fc17: ctdb.py:477:get_children_rows_from_father_id:OperationalError: no such table: children
[abrt] cherrytree-0.26.2-1.fc17: ctdb.py:477:get_children_rows_from_father_id...
Product: Fedora
Classification: Fedora
Component: cherrytree (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-19 01:21 EDT by aupr
Modified: 2012-10-23 05:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: cherrytree-0.28-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-23 05:50:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: core_backtrace (515 bytes, text/plain)
2012-09-19 01:21 EDT, aupr
no flags Details

  None (edit)
Description aupr 2012-09-19 01:21:18 EDT
Version-Release number of selected component:

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/cherrytree
kernel:         3.5.3-1.fc17.x86_64

:ctdb.py:477:get_children_rows_from_father_id:OperationalError: no such table: children
:Traceback (most recent call last):
:  File "/usr/share/cherrytree/modules/core.py", line 1146, in file_open
:    self.filepath_open(filepath)
:  File "/usr/share/cherrytree/modules/core.py", line 1151, in filepath_open
:    self.file_load(filepath)
:  File "/usr/share/cherrytree/modules/core.py", line 1363, in file_load
:    self.ctdb_handler.read_db_full(self.db, discard_ids=False)
:  File "/usr/share/cherrytree/modules/ctdb.py", line 535, in read_db_full
:    children_rows = self.get_children_rows_from_father_id(db, 0)
:  File "/usr/share/cherrytree/modules/ctdb.py", line 477, in get_children_rows_from_father_id
:    children_rows = db.execute('SELECT * FROM children WHERE father_id=? ORDER BY sequence ASC', (father_id,)).fetchall()
:OperationalError: no such table: children
:Local variables in innermost frame:
:self: <ctdb.CTDBHandler instance at 0x1d320e0>
:father_id: 0
:db: <sqlite3.Connection object at 0x1dc5030>
Comment 1 aupr 2012-09-19 01:21:22 EDT
Created attachment 614201 [details]
File: core_backtrace
Comment 2 aupr 2012-09-19 01:24:04 EDT
Tried to open .ct.ctb file that located on reiserfs 3.6 filesystem (not in my home directory)

Package: cherrytree-0.26.2-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 3 Robin Lee 2012-09-19 07:17:21 EDT
Is that reproducible?
Comment 4 Giuseppe Penone 2012-10-03 09:52:29 EDT
The bug is weird since I see no reason why the table named "children" in the database should not exist.
Please check with 0.27.1 if you still see th ebug and in case describe a procedure to reproduce it.
Comment 5 Fedora Update System 2012-10-07 03:09:16 EDT
cherrytree-0.27.1-1.fc17 has been submitted as an update for Fedora 17.
Comment 6 Fedora Update System 2012-10-10 23:13:56 EDT
cherrytree-0.28-1.fc17 has been submitted as an update for Fedora 17.
Comment 7 Fedora Update System 2012-10-11 22:53:58 EDT
Package cherrytree-0.28-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cherrytree-0.28-1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.